<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

class client_account extends model
{
	public function __set($name, $value)
	{
		switch ($name) {

			case 'mac':
//				if (!$this->data['mac_hex'])
					$this->data['mac_hex'] = mac2hex($value);
				$this->data[$name] = $value;
				break;

			case 'mac_hex':
				if (!$this->data['mac'] && $this->data[$name])
					$this->data['mac'] = hex2mac($value);
				$this->data[$name] = $value;
				break;

			case 'ipv4':
//				if (!$this->data['ipv4_hex'])
					$this->data['ipv4_hex'] = ip2hex($value);
				$this->data[$name] = $value;
				break;

			case 'ipv4_hex':
				if (!$this->data['ipv4'] && $this->data[$name])
					$this->data['ipv4'] = hex2ip($value);
				$this->data[$name] = $value;
				break;

			case 'ipv6':
//				if (!$this->data['ipv6_hex'])
					$this->data['ipv6_hex'] = ip2hex($value);
				$this->data[$name] = $value;
				break;

			case 'ipv6_hex':
				if (!$this->data['ipv6'] && $this->data[$name])
					$this->data['ipv6'] = hex2ip($value);
				$this->data[$name] = $value;
				break;

			default:
				$this->data[$name] = $value;
		}
	}
}

?>