<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

class network extends model
{
	protected $data = array('network' => '', 'gateway' => '');

	public function __set($name, $value)
	{
		switch ($name) {
			case 'network':
				$this->data['network_hex'] = ip2hex($value);
				break;
			case 'network_hex':
				$this->data['network'] = hex2ip($value);
				break;
			case 'gateway':
				$this->data['gateway_hex'] = ip2hex($value);
				break;
			case 'gateway_hex':
				$this->data['gateway'] = hex2ip($value);
				break;
		}
		$this->data[$name] = $value;
	}

}

?>